--- old/usr/src/pkg/manifests/system-library.man3c.inc	Fri Jul 11 11:43:13 2014
+++ new/usr/src/pkg/manifests/system-library.man3c.inc	Fri Jul 11 11:43:13 2014
@@ -13,6 +13,7 @@
 # Copyright 2011, Richard Lowe
 # Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
 # Copyright 2013 OmniTI Computer Consulting, Inc. All rights reserved.
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 
 file path=usr/share/man/man3c/__fbufsize.3c
@@ -235,6 +236,7 @@
 file path=usr/share/man/man3c/mutex_init.3c
 file path=usr/share/man/man3c/nanosleep.3c
 file path=usr/share/man/man3c/ndbm.3c
+file path=usr/share/man/man3c/newlocale.3c
 file path=usr/share/man/man3c/nl_langinfo.3c
 file path=usr/share/man/man3c/offsetof.3c
 file path=usr/share/man/man3c/opendir.3c
@@ -406,6 +408,7 @@
 file path=usr/share/man/man3c/str2sig.3c
 file path=usr/share/man/man3c/strcoll.3c
 file path=usr/share/man/man3c/strerror.3c
+file path=usr/share/man/man3c/strfmon.3c
 file path=usr/share/man/man3c/strftime.3c
 file path=usr/share/man/man3c/string.3c
 file path=usr/share/man/man3c/string_to_decimal.3c
@@ -457,6 +460,8 @@
 file path=usr/share/man/man3c/toascii.3c
 file path=usr/share/man/man3c/tolower.3c
 file path=usr/share/man/man3c/toupper.3c
+file path=usr/share/man/man3c/towlower.3c
+file path=usr/share/man/man3c/towupper.3c
 file path=usr/share/man/man3c/truncate.3c
 file path=usr/share/man/man3c/tsearch.3c
 file path=usr/share/man/man3c/ttyname.3c
@@ -471,6 +476,7 @@
 file path=usr/share/man/man3c/ungetwc.3c
 file path=usr/share/man/man3c/unlockpt.3c
 file path=usr/share/man/man3c/unsetenv.3c
+file path=usr/share/man/man3c/uselocale.3c
 file path=usr/share/man/man3c/usleep.3c
 file path=usr/share/man/man3c/vfwprintf.3c
 file path=usr/share/man/man3c/vlfmt.3c
@@ -495,6 +501,7 @@
 file path=usr/share/man/man3c/wcsxfrm.3c
 file path=usr/share/man/man3c/wctob.3c
 file path=usr/share/man/man3c/wctomb.3c
+file path=usr/share/man/man3c/wctrans.3c
 file path=usr/share/man/man3c/wctype.3c
 file path=usr/share/man/man3c/wcwidth.3c
 file path=usr/share/man/man3c/wmemchr.3c
@@ -649,6 +656,7 @@
 link path=usr/share/man/man3c/bcopy.3c target=bstring.3c
 link path=usr/share/man/man3c/bind_textdomain_codeset.3c target=gettext.3c
 link path=usr/share/man/man3c/bindtextdomain.3c target=gettext.3c
+link path=usr/share/man/man3c/btowc_l.3c target=btowc.3c
 link path=usr/share/man/man3c/bzero.3c target=bstring.3c
 link path=usr/share/man/man3c/calloc.3c target=malloc.3c
 link path=usr/share/man/man3c/catclose.3c target=catopen.3c
@@ -698,6 +706,7 @@
 link path=usr/share/man/man3c/double_to_decimal.3c \
     target=floating_to_decimal.3c
 link path=usr/share/man/man3c/dup3.3c target=dup2.3c
+link path=usr/share/man/man3c/duplocale.3c target=newlocale.3c
 link path=usr/share/man/man3c/edata.3c target=end.3c
 link path=usr/share/man/man3c/endgrent.3c target=getgrnam.3c
 link path=usr/share/man/man3c/endnetgrent.3c target=getnetgrent.3c
@@ -726,6 +735,7 @@
 link path=usr/share/man/man3c/fgets.3c target=gets.3c
 link path=usr/share/man/man3c/fgetspent.3c target=getspnam.3c
 link path=usr/share/man/man3c/fgetspent_r.3c target=getspnam.3c
+link path=usr/share/man/man3c/fgetwc_l.3c target=fgetwc.3c
 link path=usr/share/man/man3c/fgetws.3c target=getws.3c
 link path=usr/share/man/man3c/file_to_decimal.3c target=string_to_decimal.3c
 link path=usr/share/man/man3c/fileno.3c target=ferror.3c
@@ -739,6 +749,7 @@
 link path=usr/share/man/man3c/fpsetsticky.3c target=fpgetround.3c
 link path=usr/share/man/man3c/fputs.3c target=puts.3c
 link path=usr/share/man/man3c/free.3c target=malloc.3c
+link path=usr/share/man/man3c/freelocale.3c target=newlocale.3c
 link path=usr/share/man/man3c/fscanf.3c target=scanf.3c
 link path=usr/share/man/man3c/fseeko.3c target=fseek.3c
 link path=usr/share/man/man3c/fsetattr.3c target=fgetattr.3c
@@ -785,6 +796,8 @@
 link path=usr/share/man/man3c/getvfsfile.3c target=getvfsent.3c
 link path=usr/share/man/man3c/getvfsspec.3c target=getvfsent.3c
 link path=usr/share/man/man3c/getw.3c target=fgetc.3c
+link path=usr/share/man/man3c/getwc_l.3c target=getwc.3c
+link path=usr/share/man/man3c/getwchar_l.3c target=getwchar.3c
 link path=usr/share/man/man3c/getzoneidbyname.3c target=getzoneid.3c
 link path=usr/share/man/man3c/getzonenamebyid.3c target=getzoneid.3c
 link path=usr/share/man/man3c/globfree.3c target=glob.3c
@@ -797,36 +810,71 @@
 link path=usr/share/man/man3c/initstate.3c target=random.3c
 link path=usr/share/man/man3c/innetgr.3c target=getnetgrent.3c
 link path=usr/share/man/man3c/isalnum.3c target=ctype.3c
+link path=usr/share/man/man3c/isalnum_l.3c target=ctype.3c
 link path=usr/share/man/man3c/isalpha.3c target=ctype.3c
+link path=usr/share/man/man3c/isalpha_l.3c target=ctype.3c
 link path=usr/share/man/man3c/isascii.3c target=ctype.3c
 link path=usr/share/man/man3c/isblank.3c target=ctype.3c
+link path=usr/share/man/man3c/isblank_l.3c target=ctype.3c
 link path=usr/share/man/man3c/iscntrl.3c target=ctype.3c
+link path=usr/share/man/man3c/iscntrl_l.3c target=ctype.3c
 link path=usr/share/man/man3c/isdigit.3c target=ctype.3c
+link path=usr/share/man/man3c/isdigit_l.3c target=ctype.3c
 link path=usr/share/man/man3c/isenglish.3c target=iswalpha.3c
 link path=usr/share/man/man3c/isgraph.3c target=ctype.3c
+link path=usr/share/man/man3c/isgraph_l.3c target=ctype.3c
 link path=usr/share/man/man3c/isideogram.3c target=iswalpha.3c
 link path=usr/share/man/man3c/islower.3c target=ctype.3c
+link path=usr/share/man/man3c/islower_l.3c target=ctype.3c
 link path=usr/share/man/man3c/isnanf.3c target=isnand.3c
 link path=usr/share/man/man3c/isnumber.3c target=iswalpha.3c
 link path=usr/share/man/man3c/isphonogram.3c target=iswalpha.3c
 link path=usr/share/man/man3c/isprint.3c target=ctype.3c
+link path=usr/share/man/man3c/isprint_l.3c target=ctype.3c
 link path=usr/share/man/man3c/ispunct.3c target=ctype.3c
+link path=usr/share/man/man3c/ispunct_l.3c target=ctype.3c
 link path=usr/share/man/man3c/isspace.3c target=ctype.3c
+link path=usr/share/man/man3c/isspace_l.3c target=ctype.3c
 link path=usr/share/man/man3c/isspecial.3c target=iswalpha.3c
 link path=usr/share/man/man3c/isupper.3c target=ctype.3c
+link path=usr/share/man/man3c/isupper_l.3c target=ctype.3c
 link path=usr/share/man/man3c/iswalnum.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswalnum_l.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswalpha_l.3c target=iswalpha.3c
 link path=usr/share/man/man3c/iswascii.3c target=iswalpha.3c
 link path=usr/share/man/man3c/iswblank.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswblank_l.3c target=iswalpha.3c
 link path=usr/share/man/man3c/iswcntrl.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswcntrl_l.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswctype_l.3c target=iswctype.3c
 link path=usr/share/man/man3c/iswdigit.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswdigit_l.3c target=iswalpha.3c
 link path=usr/share/man/man3c/iswgraph.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswgraph_l.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswhexnumber.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswhexnumber_l.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswideogram.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswideogram_l.3c target=iswalpha.3c
 link path=usr/share/man/man3c/iswlower.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswlower_l.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswnumber.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswnumber_l.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswphonogram.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswphonogram_l.3c target=iswalpha.3c
 link path=usr/share/man/man3c/iswprint.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswprint_l.3c target=iswalpha.3c
 link path=usr/share/man/man3c/iswpunct.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswpunct_l.3c target=iswalpha.3c
 link path=usr/share/man/man3c/iswspace.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswspace_l.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswspecial.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswspecial_l.3c target=iswalpha.3c
 link path=usr/share/man/man3c/iswupper.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswupper_l.3c target=iswalpha.3c
 link path=usr/share/man/man3c/iswxdigit.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswxdigit_l.3c target=iswalpha.3c
 link path=usr/share/man/man3c/isxdigit.3c target=ctype.3c
+link path=usr/share/man/man3c/isxdigit_l.3c target=ctype.3c
 link path=usr/share/man/man3c/jrand48.3c target=drand48.3c
 link path=usr/share/man/man3c/l64a.3c target=a64l.3c
 link path=usr/share/man/man3c/labs.3c target=abs.3c
@@ -841,6 +889,16 @@
 link path=usr/share/man/man3c/longjmp.3c target=setjmp.3c
 link path=usr/share/man/man3c/lrand48.3c target=drand48.3c
 link path=usr/share/man/man3c/major.3c target=makedev.3c
+link path=usr/share/man/man3c/mblen_l.3c target=mblen.3c
+link path=usr/share/man/man3c/mbrlen_l.3c target=mbrlen.3c
+link path=usr/share/man/man3c/mbrtowc_l.3c target=mbrtowc.3c
+link path=usr/share/man/man3c/mbsinit_l.3c target=mbsinit.3c
+link path=usr/share/man/man3c/mbsnrtowcs.3c target=mbsrtowcs.3c
+link path=usr/share/man/man3c/mbsnrtowcs_l.3c target=mbsrtowcs.3c
+link path=usr/share/man/man3c/mbsrtowcs_l.3c target=mbsrtowcs.3c
+link path=usr/share/man/man3c/mbstowcs.3c target=mbsrtowcs.3c
+link path=usr/share/man/man3c/mbstowcs_l.3c target=mbsrtowcs.3c
+link path=usr/share/man/man3c/mbtowc_l.3c target=mbtowc.3c
 link path=usr/share/man/man3c/memalign.3c target=malloc.3c
 link path=usr/share/man/man3c/membar_consumer.3c target=membar_ops.3c
 link path=usr/share/man/man3c/membar_enter.3c target=membar_ops.3c
@@ -871,6 +929,7 @@
 link path=usr/share/man/man3c/mutex_unlock.3c target=mutex_init.3c
 link path=usr/share/man/man3c/nftw.3c target=ftw.3c
 link path=usr/share/man/man3c/ngettext.3c target=gettext.3c
+link path=usr/share/man/man3c/nl_langinfo_l.3c target=nl_langinfo.3c
 link path=usr/share/man/man3c/nrand48.3c target=drand48.3c
 link path=usr/share/man/man3c/openlog.3c target=syslog.3c
 link path=usr/share/man/man3c/pclose.3c target=popen.3c
@@ -1126,22 +1185,28 @@
 link path=usr/share/man/man3c/stdin.3c target=stdio.3c
 link path=usr/share/man/man3c/stdout.3c target=stdio.3c
 link path=usr/share/man/man3c/strcasecmp.3c target=string.3c
+link path=usr/share/man/man3c/strcasecmp_l.3c target=string.3c
 link path=usr/share/man/man3c/strcat.3c target=string.3c
 link path=usr/share/man/man3c/strchr.3c target=string.3c
 link path=usr/share/man/man3c/strcmp.3c target=string.3c
+link path=usr/share/man/man3c/strcoll_l.3c target=strcoll.3c
 link path=usr/share/man/man3c/strcpy.3c target=string.3c
 link path=usr/share/man/man3c/strcspn.3c target=string.3c
 link path=usr/share/man/man3c/strdup.3c target=string.3c
+link path=usr/share/man/man3c/strfmon_l.3c target=strfmon.3c
+link path=usr/share/man/man3c/strftime_l.3c target=strftime.3c
 link path=usr/share/man/man3c/strerror_r.3c target=strerror.3c
 link path=usr/share/man/man3c/strlcat.3c target=string.3c
 link path=usr/share/man/man3c/strlcpy.3c target=string.3c
 link path=usr/share/man/man3c/strlen.3c target=string.3c
 link path=usr/share/man/man3c/strncasecmp.3c target=string.3c
+link path=usr/share/man/man3c/strncasecmp_l.3c target=string.3c
 link path=usr/share/man/man3c/strncat.3c target=string.3c
 link path=usr/share/man/man3c/strncmp.3c target=string.3c
 link path=usr/share/man/man3c/strncpy.3c target=string.3c
 link path=usr/share/man/man3c/strnlen.3c target=string.3c
 link path=usr/share/man/man3c/strpbrk.3c target=string.3c
+link path=usr/share/man/man3c/strptime_l.3c target=strptime.3c
 link path=usr/share/man/man3c/strrchr.3c target=string.3c
 link path=usr/share/man/man3c/strsep.3c target=string.3c
 link path=usr/share/man/man3c/strspn.3c target=string.3c
@@ -1153,6 +1218,7 @@
 link path=usr/share/man/man3c/strtoll.3c target=strtol.3c
 link path=usr/share/man/man3c/strtoull.3c target=strtoul.3c
 link path=usr/share/man/man3c/strtoumax.3c target=strtoimax.3c
+link path=usr/share/man/man3c/strxfrm_l.3c target=strxfrm.3c
 link path=usr/share/man/man3c/swapcontext.3c target=makecontext.3c
 link path=usr/share/man/man3c/swprintf.3c target=fwprintf.3c
 link path=usr/share/man/man3c/swscanf.3c target=fwscanf.3c
@@ -1174,6 +1240,12 @@
 link path=usr/share/man/man3c/timerisset.3c target=timeradd.3c
 link path=usr/share/man/man3c/timersub.3c target=timeradd.3c
 link path=usr/share/man/man3c/tmpnam_r.3c target=tmpnam.3c
+link path=usr/share/man/man3c/tolower_l.3c target=tolower.3c
+link path=usr/share/man/man3c/toupper_l.3c target=toupper.3c
+link path=usr/share/man/man3c/towctrans.3c target=wctrans.3c
+link path=usr/share/man/man3c/towctrans_l.3c target=wctrans.3c
+link path=usr/share/man/man3c/towlower_l.3c target=towlower.3c
+link path=usr/share/man/man3c/towupper_l.3c target=towupper.3c
 link path=usr/share/man/man3c/ttyname_r.3c target=ttyname.3c
 link path=usr/share/man/man3c/twalk.3c target=tsearch.3c
 link path=usr/share/man/man3c/tzset.3c target=ctime.3c
@@ -1228,9 +1300,11 @@
 link path=usr/share/man/man3c/watoi.3c target=wcstol.3c
 link path=usr/share/man/man3c/watol.3c target=wcstol.3c
 link path=usr/share/man/man3c/watoll.3c target=wcstol.3c
+link path=usr/share/man/man3c/wcrtomb_l.3c target=wcrtomb.3c
 link path=usr/share/man/man3c/wcscat.3c target=wcstring.3c
 link path=usr/share/man/man3c/wcschr.3c target=wcstring.3c
 link path=usr/share/man/man3c/wcscmp.3c target=wcstring.3c
+link path=usr/share/man/man3c/wcscoll_l.3c target=wcscoll.3c
 link path=usr/share/man/man3c/wcscpy.3c target=wcstring.3c
 link path=usr/share/man/man3c/wcscspn.3c target=wcstring.3c
 link path=usr/share/man/man3c/wcsetno.3c target=cset.3c
@@ -1248,6 +1322,12 @@
 link path=usr/share/man/man3c/wcstoull.3c target=wcstoul.3c
 link path=usr/share/man/man3c/wcstoumax.3c target=wcstoimax.3c
 link path=usr/share/man/man3c/wcswcs.3c target=wcstring.3c
+link path=usr/share/man/man3c/wcswidth_l.3c target=wcswidth.3c
+link path=usr/share/man/man3c/wctob_l.3c target=wctob.3c
+link path=usr/share/man/man3c/wctomb_l.3c target=wctomb.3c
+link path=usr/share/man/man3c/wctrans_l.3c target=wctrans.3c
+link path=usr/share/man/man3c/wctype_l.3c target=wctype.3c
+link path=usr/share/man/man3c/wcwidth_l.3c target=wcwidth.3c
 link path=usr/share/man/man3c/windex.3c target=wcstring.3c
 link path=usr/share/man/man3c/wordfree.3c target=wordexp.3c
 link path=usr/share/man/man3c/wprintf.3c target=fwprintf.3c
